import type { SxProps } from "@mui/material";
import React from "react";
export type controlProps = {
    formProps?: {
        style?: React.CSSProperties;
    };
    inputProps?: {
        style?: React.CSSProperties;
    };
    mrnProps?: {
        disableMrnLink?: boolean;
    };
    selectProps?: {
        sx?: SxProps;
        textField?: {
            sx?: SxProps;
        };
        listBox?: {
            sx?: SxProps;
        };
    };
    footerProps?: {
        style?: React.CSSProperties;
        container?: {
            style?: React.CSSProperties;
        };
        submitButtonContainer?: {
            style?: React.CSSProperties;
        };
        submitButton?: {
            sx?: SxProps;
        };
    };
    addressProps?: {
        style?: React.CSSProperties;
        label?: {
            style?: React.CSSProperties;
        };
        container?: {
            style?: React.CSSProperties;
        };
    };
    controlWrapperProps?: {
        style?: React.CSSProperties;
        label?: {
            style?: React.CSSProperties;
        };
        container?: {
            style?: React.CSSProperties;
        };
    };
    groupProps?: {
        style?: React.CSSProperties;
        label?: {
            style?: React.CSSProperties;
        };
    };
    listProps?: {
        style?: React.CSSProperties;
        addButton?: {
            sx?: SxProps;
        };
        label?: {
            style?: React.CSSProperties;
        };
        container?: {
            style?: React.CSSProperties;
        };
    };
};
