import { ControlCommons, OnChangeValueType } from "../../../../types";
interface IUseInputDependentProps {
    onChangeValue: (newProperties: OnChangeValueType, customizer?: (...args: any) => any) => void;
    query: string;
    objectPathId: string;
    value: string;
    hasEdited?: ControlCommons["hasEdited"];
}
declare const useInputDependent: ({ onChangeValue, query, objectPathId, value, hasEdited, }: IUseInputDependentProps) => {
    textColor: string;
};
export default useInputDependent;
