import type { MenuItem } from "../..";
import type { FormControls } from "../../../../types";
export type controlGroups = {
    [key: string]: FormControls;
};
export declare const INFORMATION_TAB_KEY = "0";
export declare const INFO_MENU_ITEM: MenuItem;
export declare const hasControlWithSubmenu: (controls: FormControls, isExpertMode: boolean) => boolean;
export declare const determineMenuTabIndexWithControlError: (controlGroups: controlGroups) => number;
declare const determineSubmenuTabs: (controls: FormControls, isExpertMode: boolean) => FormControls | {
    controlGroups: controlGroups;
    menuItems: MenuItem[];
};
export default determineSubmenuTabs;
